summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2017-04-14 22:29:09 +0200
committerPatrice Clement <monsieurp@gentoo.org>2017-04-14 22:30:43 +0200
commit1d5c3db30745ac4f36d5831d715760865fe3b32c (patch)
treed7d7c08d1705d3c790bc76d6ef1095997ff3839c /net-libs/libsearpc
parentprofiles: Mask dev-java/jdbc-oracle-bin (diff)
downloadgentoo-1d5c3db30745ac4f36d5831d715760865fe3b32c.tar.gz
gentoo-1d5c3db30745ac4f36d5831d715760865fe3b32c.tar.bz2
gentoo-1d5c3db30745ac4f36d5831d715760865fe3b32c.zip
net-libs/libsearpc: fix SRC_URI.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-libs/libsearpc')
-rw-r--r--net-libs/libsearpc/libsearpc-3.0.8-r1.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/net-libs/libsearpc/libsearpc-3.0.8-r1.ebuild b/net-libs/libsearpc/libsearpc-3.0.8-r1.ebuild
new file mode 100644
index 00000000000..70f1c5fd0f9
--- /dev/null
+++ b/net-libs/libsearpc/libsearpc-3.0.8-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+inherit autotools python-single-r1 vcs-snapshot
+
+DESCRIPTION="A simple C language RPC framework"
+HOMEPAGE="https://github.com/haiwen/libsearpc/ http://seafile.com/"
+SRC_URI="https://github.com/haiwen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+ >=dev-libs/glib-2.26.0
+ >=dev-libs/jansson-2.2.1"
+RDEPEND="${DEPEND}
+ dev-python/simplejson[${PYTHON_USEDEP}]"
+
+src_prepare() {
+ default
+ sed -i -e "s/(DESTDIR)//" ${PN}.pc.in || die
+ eautoreconf
+}